Package org.jcsp.lang

# Interface SharedChannelOutputInt

All Superinterfaces:
  `ChannelOutputInt`, `Poisonable`

public interface SharedChannelOutputInt extends ChannelOutputInt
This is the same as `ChannelOutputInt` except that it is guaranteed safe to pass on to more than one internal process for parallel writing.

A writing-end, obtained from an any-one or any-any channel by invoking its `in()` method, will implement this interface.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelOutputInt

`write`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`